Update scheduled changes workflow
Update a scheduled change, overriding existing instructions with the new ones. Updating a scheduled change uses the semantic patch format.
To make a semantic patch request, you must append domain-model=launchdarkly.semanticpatch to your Content-Type header. To learn more, read Updates using semantic patch.
Instructions
Semantic patch requests support the following kind instructions for updating scheduled changes.
Click to expand instructions for updating scheduled changes
deleteScheduledChange
Removes the scheduled change.
Here’s an example:
replaceScheduledChangesInstructions
Removes the existing scheduled changes and replaces them with the new instructions.
Parameters
value: An array of the new actions to perform when the execution date for these scheduled changes arrives. Supported scheduled actions areturnFlagOnandturnFlagOff.
Here’s an example that replaces the scheduled changes with new instructions to turn flag targeting off:
updateScheduledChangesExecutionDate
Updates the execution date for the scheduled changes.
Parameters
value: the new execution date, in Unix milliseconds.
Here’s an example:
Path Parameters
Query Parameters
Body
The instructions to perform when updating. This should be an array with objects that look like {"kind": "update_action"}. Some instructions also require a value field in the array element.
"[ { \"kind\": \"replaceScheduledChangesInstructions\", \"value\": [ { \"kind\": \"turnFlagOff\" } ] } ]"
Response
Scheduled changes response